Package org.eclipse.net4j.tcp

## Class TCPUtil.AcceptorData

- java.lang.Object
- - org.eclipse.net4j.tcp.TCPUtil.AcceptorData

- Enclosing class:
    TCPUtil

      public static final class TCPUtil.AcceptorData
      extends java.lang.Object

  Encapsulates the data needed to configure a `TCP acceptor`.
  Since:
    4.1
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AcceptorData()` |
    `AcceptorData​(java.lang.String description)` |
    `AcceptorData​(java.lang.String address, int port)` |
    `AcceptorData​(ITCPAcceptor acceptor)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getAddress()` |
    `int` | `getPort()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptorData

          public AcceptorData()

    - #### AcceptorData

          public AcceptorData​(java.lang.String address,
                              int port)

    - #### AcceptorData

          public AcceptorData​(java.lang.String description)

    - #### AcceptorData

          public AcceptorData​(ITCPAcceptor acceptor)

  - ### Method Detail

    - #### getAddress

          public java.lang.String getAddress()

    - #### getPort

          public int getPort()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`